package com.ruoyi.demo.entity.vo;

import com.ruoyi.demo.entity.Plan;
import lombok.Data;

import java.util.List;

// 广告计划明细
@Data
public class PlanDetailVo {
    private String planId;
    private String planName;
    private String goodsName;
    private String goodsLogo;
    private String appName;
    private String principalName;
    private String principalTelephone;
    private List<PlanItemVo> planItems;

    public PlanDetailVo(){}
    public PlanDetailVo(Plan plan, List<PlanItemVo> itemVos){
        this.planId = plan.getPlanId();
        this.planName = plan.getPlanName();
        this.goodsName = plan.getGoodsName();
        this.goodsLogo = plan.getGoodsLogo();
        this.appName = plan.getAppName();
        this.principalName = plan.getPrincipalName();
        this.principalTelephone = plan.getPrincipalTelephone();
        this.planItems = itemVos;
    }
}
